# Created by pyp2rpm-3.3.4
%global pypi_name segtok

Name:           python-%{pypi_name}
Version:        1.5.10
Release:        1%{?dist}
Summary:        sentence segmentation and word tokenization tools

License:        MIT
URL:            https://github.com/fnl/segtok
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(setuptools)

%description
segtokNB: segtok v2, code-named syntok_, is available and fixes some tricky
issues with segtok, in particular splitting sentence with terminals not
followed by spaces.Like this :-).- Sentence segmentation and word tokenization
-The segtok package provides two modules, segtok.segmenter and
segtok.tokenizer.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(regex)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
segtokNB: segtok v2, code-named syntok_, is available and fixes some tricky
issues with segtok, in particular splitting sentence with terminals not
followed by spaces.Like this :-).- Sentence segmentation and word tokenization
-The segtok package provides two modules, segtok.segmenter and
segtok.tokenizer.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/segmenter
%{_bindir}/tokenizer
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
#fix this
%exclude /usr/LICENSE.txt

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.5.10-1
- Initial package.
